"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getArgs = void 0;
const utils_1 = require("./utils");
function getArgs(argv, options) {
    return utils_1.getObjectKeys(options).reduce((args, option) => {
        const arg = argv.find((a) => a.startsWith(options[option].key)) || '';
        if (arg) {
            const value = arg.slice(`${options[option].key}=`.length);
            return Object.assign(Object.assign({}, args), { [option]: utils_1.isBoolean(options[option].type) ? true : value });
        }
        return Object.assign(Object.assign({}, args), { [option]: utils_1.isBoolean(options[option].type) ? false : null });
    }, {});
}
exports.getArgs = getArgs;
